complexType "TradeValuationItem"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 3 elements
Defined: | globally in fpml-valuation-reporting-5-5.xsd; see XML source
Includes: | definitions of 3 elements
Used: | at 3 locations

Content Model Diagram

XML Representation Summary
<...>
Content: | (partyTradeIdentifier+ | trade)?, valuationSet?
</...>

Content Model Elements (3):

  partyTradeIdentifier (defined in TradeValuationItem complexType),
  trade (defined in TradeValuationItem complexType),
  valuationSet

All Direct / Indirect Based Elements (3):

  tradeValuationItem (defined in PortfolioValuationItem complexType),
  tradeValuationItem (in requestValuationReport),
  tradeValuationItem (in valuationReport)

Known Usage Locations

- As direct type of elements (3):
  tradeValuationItem (defined in PortfolioValuationItem complexType),
  tradeValuationItem (in requestValuationReport),
  tradeValuationItem (in valuationReport)

Annotation
A type used in trade valuation enquiry messages which relates a trade identifier to its current value.
XML Source (w/o annotations (4); see within schema source)

<xsd:complexType name="TradeValuationItem"> <xsd:sequence> <xsd:choice minOccurs="0"> <xsd:element maxOccurs="unbounded" name="partyTradeIdentifier" type="PartyTradeIdentifier"/> <xsd:element name="trade" type="Trade"/> </xsd:choice> <xsd:element minOccurs="0" ref="valuationSet"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 3/3)
partyTradeIdentifier

  Type: | PartyTradeIdentifier, complex content

  One or more trade identifiers needed to uniquely identify a trade.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" name="partyTradeIdentifier" type="PartyTradeIdentifier"/>

trade

  Type: | Trade, complex content

  Fully-described trades whose values are reported.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="trade" type="Trade"/>

valuationSet

  Type: | ValuationSet, complex content

  The trade valuation.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" ref="valuationSet"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.